#include "xanimnotifyinfo.h"

XAnimNotifyInfo::XAnimNotifyInfo()
    : XAsset()
    , mName(0)
    , mTime(0.0f)
{
    SetName("Animation Notify Info");
}

void XAnimNotifyInfo::ParseData(XDataStream *aStream) {
    if (GetPtr() == -1) {

        mName = aStream->ParseUInt32(QString("%1 name").arg(GetName()));
        mTime = aStream->ParseSingle(QString("%1 time").arg(GetName()));
    }
}

void XAnimNotifyInfo::Clear()
{
    mName = 0;
    mTime = 0.0f;
}
